classification
Title: Specialize BINARY_ADD using PEP 659 machinery.
Type: Stage:
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Mark.Shannon
Priority: normal Keywords: patch

Created on 2021-08-18 10:11 by Mark.Shannon, last changed 2021-08-27 09:57 by Mark.Shannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 27967 merged Mark.Shannon, 2021-08-26 10:11
Messages (2)
msg399830 - (view) Author: Mark Shannon (Mark.Shannon) * (Python committer) Date: 2021-08-18 10:11
Specializing BINARY_ADD is worthwhile for two reasons:

Specializing for ints, floats and strings may give us some small speedup.

It removes the complex checks for the special case of extending a string, `s = s + ...` from the normal instruction to a specialized form.
msg400402 - (view) Author: Mark Shannon (Mark.Shannon) * (Python committer) Date: 2021-08-27 08:21
New changeset d3eaf0cc5b311ad023fd13e367f817d528403306 by Mark Shannon in branch 'main':
bpo-44945: Specialize BINARY_ADD (GH-27967)
https://github.com/python/cpython/commit/d3eaf0cc5b311ad023fd13e367f817d528403306
History
Date User Action Args
2021-08-27 09:57:14Mark.Shannonsetstage: resolved ->
2021-08-27 08:57:30Mark.Shannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-08-27 08:21:30Mark.Shannonsetmessages: + msg400402
2021-08-26 10:11:16Mark.Shannonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request26414
2021-08-18 10:11:48Mark.Shannoncreate